Package twisted :: Package web :: Module script

[show private | hide private]
[frames | no frames]

## Module twisted.web.script

I contain PythonScript, which is a very simple python script resource.

Classes
`CacheScanner` |
`PythonScript` | I am an extremely simple dynamic resource; an embedded python script.
`ResourceScriptWrapper` |

Exceptions
`AlreadyCached` | This exception is raised when a path has already been cached.

Function Summary
| ``ResourceScript`(path, registry)` I am a normal py file which must define a 'resource' global, which should be an instance of (a subclass of) web.resource.Resource; it will be renderred.
| `ResourceTemplate(path, registry)`

Variable Summary
`ErrorPage` | `noRsrc`
`string` | `rpyNoResource`

Function Details

### ResourceScript(path, registry)

I am a normal py file which must define a 'resource' global, which should be an instance of (a subclass of) web.resource.Resource; it will be renderred.

Variable Details

### noRsrc

  Type:
    `ErrorPage`
  Value:

        <twisted.web.error.ErrorPage instance at 0x87baafc>

### rpyNoResource

  Type:
    `string`
  Value:

        '''<p>You forgot to assign to the variable "resource" in your .rpy scr\
        ipt. For example:</p>
        <pre>
        # MyCoolWebApp.rpy

        import mygreatresource

        resource = mygreatresource.MyGreatResource()
        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net